Bundle Service API Reference - InstallBundleController
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Install a Bundle
This API endpoint will cause the artifacts represented in a Bundle to be installed in the AtomSphere account specified in the body. Depending on the number of artifacts and the complexity
of the artifacts, this endpoint might take up to a couple minutes to complete.
Note:
- For this endpoint, 200 (OK) response code DOES NOT necessarily mean that all artifacts in the bundle were installed successfully. 200 OK will still be returned when one or more artifacts had failures. Refer to the returned installationStatus and artifactInstallationResults to understand what succeeded and what failed:
SUCCESS:Bundle installed successfully.FAILURE:Bundle installation failed because the JSON request body has incorrect field values or you don't have access to the targetAccountId or targetTenantId.UNDEFINED:Bundle installation failed because the specified bundle has artifacts of type SUPPORTING only and does not have artifacts of type PACKAGED_COMPONENT or FLOW.PARTIAL:Bundle was partially installed because one or more artifacts were successfully installed while one or more artifacts failed installation.
"installErrorStrategy"is currently ignored.- If using a Flow API key, you don’t need to specify the
"targetTenantId"because the tenant associated with the API key will be used. - When installing into a new tenant, only the
"targetFlowUserId"is considered — any flow authentication otherwise provided (API Key or JWT) is ignored. This endpoint will fail with 403 (RESTRICTED) error if the specified"targetFlowUserId"doesn't have an existing Flow account.
{ "bundleId": "798e093d-56ee-42ff-afba-5f2b4600c198", "targetAccountId": "petersullivan-P8CR2J", "folderName": "regression_bundle_install/install-07-03-2023-16-52"}Request Body Example 2 - Installing flow and integration:
{ "bundleId": "8e0c66b8-65f1-455b-869d-426538717646", "targetAccountId": "johnmyer-P8CR2J", "folderName": "regression_bundle_install/install-07-03-2023-16-53", "targetTenantId": "fb2b5b9e-dacb-4446-997d-9a1d609b5941"}Request Body Example 3 - Installing a bundle with just Flow artifacts into a new tenant:
{ "bundleId": "7db9a4d9-ce1a-4e77-9288-eca506ba9dea", "targetFlowUserId": "bundleuser@gmail.com",}Request Body Example 4 - Installing integration by folder id:
{ "bundleId": "369be27c-1614-4412-8139-a39d6801ed75", "targetAccountId": "kiarabishop-P8CR2J" "installErrorStrategy": "STOP", "folderId": "1008096"}Authorizations:
query Parameters
| accountId required | string The Platform Account ID to authenticate with |
header Parameters
| x-boomi-bundle-source | string Example: swagger This field is used for sourcing the caller reference for the Bundle API's and capturing it in TimeStream. |
Request Body schema: application/jsonrequired
| bundleId required | string = 36 characters The unique identifier (UUID) of the Bundle to install |
| targetAccountId | string The target AtomSphere account ID where the Bundle artifacts will be installed |
| folderName | string The name of the folder where Integration artifacts will be installed. A new folder with this name will be created if it does not exist |
| folderId | string The ID of an existing folder where Integration artifacts will be installed. Takes precedence over folderName if both are provided |
| targetTenantId | string The target Flow tenant ID where Flow artifacts will be installed. Not required when using a Flow API key as the associated tenant will be used |
| targetFlowUserId | string The email address of the Flow user who will own the installed Flow artifacts. Required when installing into a new tenant |
| installErrorStrategy | string Enum: "STOP" "CONTINUE" The error handling strategy during installation. STOP will halt installation on first error, CONTINUE will attempt to install remaining artifacts. Currently ignored |
| solutionId | string The unique identifier of the Solution associated with this Bundle installation |
Responses
Response Schema: application/json
| resultCode | string Enum: "OK" "GENERAL_ERROR" "NOT_FOUND" "UNIMPLEMENTED" "NOT_SUPPORTED" "VALIDATION_ERROR" "RESTRICTED" "INSUFFICIENT_AUTHENTICATION" The result code indicating success or failure type (OK, GENERAL_ERROR, NOT_FOUND, etc.) |
| resultSubCode | string Additional sub-code for more specific categorization of the result |
| serviceTransactionId | string Unique transaction ID for request tracing and debugging |
| data | Array of any Array of response objects |
| total | integer <int32> Total count of items in the response |
Request samples
- Payload
{- "bundleId": "stringstringstringstringstringstring",
- "targetAccountId": "string",
- "folderName": "string",
- "folderId": "string",
- "targetTenantId": "string",
- "targetFlowUserId": "string",
- "installErrorStrategy": "STOP",
- "solutionId": "string"
}Response samples
- 200
- 400
- 403
- 500
All assets installed successfully
{- "resultCode": "OK",
- "resultSubCode": "",
- "serviceTransactionId": "NR:6dbc2dc720697c2f1d47593536010cf0",
- "data": {
- "installationStatus": "SUCCESS",
- "bundleId": "68ad0536-e752-4c0e-8303-74822fcb5ab0",
- "bundleName": "Boomi Solution",
- "targetAccountId": "Boomiqa-XWNUU2",
- "folderName": "Boomi Solution-2023-06-22-12:53",
- "targetTenantId": "6efff0e4-2e93-475a-94a2-a3e63593ba1d",
- "targetFlowUserId": "first.lastname@boomi.com",
- "targetTenantName": "BundleServiceTenant-2023-06-22.16-53",
- "message": "Completed installation of Bundle Id 68ad0536-e752-4c0e-8303-74822fcb5ab0.",
- "artifactInstallationResults": [
- {
- "installationStatus": "SUCCESS",
- "message": "Successfully installed Flow with id 911c80d1-b043-43e5-afaa-213c738b3918",
- "artifactType": "FLOW",
- "artifactId": "7ed4d3f2-abc0-49b7-a03d-5a35605afe13",
- "artifactInternalId": "911c80d1-b043-43e5-afaa-213c738b3918",
- "artifactDescription": null,
- "artifactName": "Flow",
- "tenantId": "6efff0e4-2e93-475a-94a2-a3e63593ba1d",
- "tenantName": "BundleServiceTenant-2023-06-22.16-53",
- "flowUserId": "first.lastname@boomi.com",
- "apiKey": null
}, - {
- "installationStatus": "SUCCESS",
- "message": "Successfully installed Packaged Component with id: 92229731-ac4e-4b0a-aaf3-253eac472cf8 in Account: johnqa-XWNUU2",
- "artifactType": "PACKAGED_COMPONENT",
- "artifactId": "cb5c3839-3df9-43ec-b616-cf98aa12ac7b",
- "artifactInternalId": "92229731-ac4e-4b0a-aaf3-253eac472cf8",
- "artifactDescription": null,
- "artifactName": "PC",
- "copiedComponentId": "783e3c22-153e-49ed-8fc6-ccde7bfe2674",
- "copiedComponentVersion": 1,
- "folderId": "1242888",
- "folderPath": "UserQA/Bundle-John's Integration and Flow-2023-06-22-12:53"
}
]
}
}